# AddECID

#### int AddECID(int ECID, string strName, string strUnit, string strFormat)

EZGemPlus에 ECID를 등록하는 함수.

Parameters

<table data-header-hidden><thead><tr><th width="114" valign="top"></th><th width="107" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ECID</td><td valign="top">int</td><td valign="top">등록하려는 ECID</td></tr><tr><td valign="top">strName</td><td valign="top">string</td><td valign="top">등록하려는 ECID의 Name (ECNAME)</td></tr><tr><td valign="top">strUnit</td><td valign="top">string</td><td valign="top">등록하려는 ECVALUE의 단위, 단위가 없을 경우 “”(empty string) 입력</td></tr><tr><td valign="top">strFormat</td><td valign="top">string</td><td valign="top">등록하려는 ECVALUE의 format</td></tr></tbody></table>

```csharp
m_gem.AddECID(3, "T3", "SECOND", "U1");
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/id/addecid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
